6.0.0-git
2021-01-24

[#1910] Personal Options should encode HTML chars
Summary Personal Options should encode HTML chars
Queue Horde Base
Queue Version 3.0.2
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester horde (at) nonplus (dot) net
Created 2005-05-04 (5744 days ago)
Due
Updated 2005-05-05 (5743 days ago)
Assigned 2005-05-05 (5743 days ago)
Resolved 2005-05-05 (5743 days ago)
Milestone
Patch No

History
2005-05-05 18:31:08 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in HEAD and for Horde 3.0.5.
2005-05-05 11:59:40 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-05-04 22:15:52 horde (at) nonplus (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Personal Options should encode HTML chars
Queue ⇒ Horde Base
Reply to this comment
An Identity name containing HTML characters may break the "Personal 
Preferences" Horde Options page.  To prevent this, the identity select 
should encode HTML characters in the identity name.



Specifically, I have saved an identity called "XML for <SCRIPT>".  Now 
trying to change my Personal Preferences produces Javascript errors 
(both on IE and FF) rendering the settings page unusable.

Saved Queries